Bug 1480914 - SELinux is preventing pkla-check-auth from 'map' accesses on the file /var/lib/sss/mc/passwd.
SELinux is preventing pkla-check-auth from 'map' accesses on the file /var/li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:0ce08c621cf069e4942682f037e...
:
Depends On:
Blocks: 1481454
  Show dependency treegraph
 
Reported: 2017-08-12 16:56 EDT by Joachim Frieben
Modified: 2017-08-22 09:39 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-272.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-22 08:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2017-08-12 16:56:21 EDT
Description of problem:
SELinux is preventing pkla-check-auth from 'map' accesses on the file /var/lib/sss/mc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pkla-check-auth should be allowed map access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pkla-check-auth' --raw | audit2allow -M my-pklacheckauth
# semodule -X 300 -i my-pklacheckauth.pp

Additional Information:
Source Context                system_u:system_r:policykit_auth_t:s0
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc/passwd [ file ]
Source                        pkla-check-auth
Source Path                   pkla-check-auth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-common-1.15.3-2.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   8
First Seen                    2017-08-12 22:54:19 CEST
Last Seen                     2017-08-12 22:55:13 CEST
Local ID                      c7ac376b-111e-409e-b06c-6a9455bd125c

Raw Audit Messages
type=AVC msg=audit(1502571313.957:364): avc:  denied  { map } for  pid=2190 comm="pkla-check-auth" path="/var/lib/sss/mc/passwd" dev="dm-0" ino=269745 scontext=system_u:system_r:policykit_auth_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=1


Hash: pkla-check-auth,policykit_auth_t,sssd_public_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport
Comment 1 Jan Kurik 2017-08-15 04:52:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Joachim Frieben 2017-08-22 09:39:48 EDT
See https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow.

Note You need to log in before you can comment on or make changes to this bug.